

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>API &mdash; SmartRecruiting back v2 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="../_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script type="text/javascript" src="../_static/jquery.js"></script>
        <script type="text/javascript" src="../_static/underscore.js"></script>
        <script type="text/javascript" src="../_static/doctools.js"></script>
        <script type="text/javascript" src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="prev" title="Managers" href="managers.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> SmartRecruiting back
          

          
          </a>

          
            
            
              <div class="version">
                v2
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../install.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../contributing.html">Contributing</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../documentation.html">Backend documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="deeplearning.html">Deeplearning</a></li>
<li class="toctree-l2"><a class="reference internal" href="data.html">Data</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">API</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#module-SmartRecruiting_BackEnd.api.routes"><code class="docutils literal notranslate"><span class="pre">routes.py</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">SmartRecruiting back</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html">Docs</a> &raquo;</li>
        
          <li><a href="../documentation.html">Backend documentation</a> &raquo;</li>
        
      <li>API</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../_sources/backend_doc/api.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="api">
<h1>API<a class="headerlink" href="#api" title="Permalink to this headline">¶</a></h1>
<div class="section" id="module-SmartRecruiting_BackEnd.api.routes">
<span id="routes-py"></span><h2><code class="docutils literal notranslate"><span class="pre">routes.py</span></code><a class="headerlink" href="#module-SmartRecruiting_BackEnd.api.routes" title="Permalink to this headline">¶</a></h2>
<p>Routes and views for the flask application.</p>
<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.add_contact">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">add_contact</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#add_contact"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.add_contact" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to add a contact in the database
:METHOD : POST
:HEADER PARAM  : None
:BODY PARAMS :{“name”: str, “surname”: str, “email”: str,”phone”: str,”role”: str,”id_field”: int}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.add_field">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">add_field</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#add_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.add_field" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to add a field in the database
:METHOD : POST
:HEADER PARAM  : None
:BODY PARAMS :{“name”: str, “description”: str, “descriptor”: str,”website”: str, “contacts”:</p>
<blockquote>
<div>[{“name”: str, “surname”: str, “email”: str,”phone”: str,”role”: str,”id_field”: int}, …]</div></blockquote>
<p>}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.add_offer">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">add_offer</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#add_offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.add_offer" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to add an offer in the database
METHOD : POST
HEADER PARAM  : None
BODY PARAMS : { “title” : str, “content” : str, “descriptor” : str, “id_user” : int }</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.add_offer_link_field">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">add_offer_link_field</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#add_offer_link_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.add_offer_link_field" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to add an offer in the database and link it to a field
METHOD : POST
HEADER PARAM  : None
BODY PARAMS : { “title” : str, “content” : str, “id_user” : int, “dic_fields” : dictionary{id_field, mark}, “inbase” : bool }</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.create_token">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">create_token</code><span class="sig-paren">(</span><em>user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#create_token"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.create_token" title="Permalink to this definition">¶</a></dt>
<dd><p>Create a token for a user with an expiration of 14 days</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.delete_contact">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">delete_contact</code><span class="sig-paren">(</span><em>id_contact</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#delete_contact"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.delete_contact" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to delete a contact in the database
:METHOD : DELETE
:HEADER PARAM  : id_contact : int</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.delete_field">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">delete_field</code><span class="sig-paren">(</span><em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#delete_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.delete_field" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to delete a field in the database
:METHOD : DELETE
:HEADER PARAM  : id_field : int</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.delete_offer">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">delete_offer</code><span class="sig-paren">(</span><em>id_offer</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#delete_offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.delete_offer" title="Permalink to this definition">¶</a></dt>
<dd><p>METHOD : DELETE
HEADER PARAM  : id_offer :int</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.delete_user">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">delete_user</code><span class="sig-paren">(</span><em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#delete_user"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.delete_user" title="Permalink to this definition">¶</a></dt>
<dd><p>METHOD : DELETE
HEADER PARAM  : id_user: int</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.fields_by_offer">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">fields_by_offer</code><span class="sig-paren">(</span><em>id_offer</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#fields_by_offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.fields_by_offer" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get all the field who correspond to an offer
:METHOD : GET
:HEADER PARAM  : id_offer : int
:BODY PARAMS : none
:return: {“fields”:{“id”: int,”name”: str,”inbase”: boolean}}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.generate_prediction">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">generate_prediction</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#generate_prediction"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.generate_prediction" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get a prediction from an offer
METHOD : POST
HEADER PARAM  : None
BODY PARAMS : { “title” : str, “content” : str }
RETURNS :</p>
<blockquote>
<div><dl class="docutils">
<dt>{</dt>
<dd>“field”: { “name”: str, “description”: str, “descriptor”: str, “website”: str }</dd>
</dl>
<p>}</p>
</div></blockquote>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.get_accuracy">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">get_accuracy</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#get_accuracy"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.get_accuracy" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get the accuracy of the system
:METHOD : GET
:HEADER PARAM  : None
:BODY PARAMS : None
:return: int</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.get_contact">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">get_contact</code><span class="sig-paren">(</span><em>id_contact</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#get_contact"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.get_contact" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get a contact in the database
:param id_contact: int
:return: {“name”: str, “surname”: str, “email”: str,”phone”: str,”role”: str,”id_field”: int}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.get_contacts">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">get_contacts</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#get_contacts"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.get_contacts" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get all the contact in the database
:return: {“contact”:{“name”: str, “surname”: str, “email”: str,”phone”: str,”role”: str,”id_field”: int}}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.get_field">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">get_field</code><span class="sig-paren">(</span><em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#get_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.get_field" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get a field in the database
:param id_field: int
:return: {“id”: int, “name”: str, “description”: str, “descriptor”: str,”website”: str, “contacts”:}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.get_fields">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">get_fields</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#get_fields"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.get_fields" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get all the field in the database
:return: {“fields”:{“name”: str, “description”: str, “descriptor”: str,”website”: str}}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.get_fields_name">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">get_fields_name</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#get_fields_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.get_fields_name" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get all the field in the database
:return: {“fields”:{“id”:int, “name”: str}}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.get_offer">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">get_offer</code><span class="sig-paren">(</span><em>id_offer</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#get_offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.get_offer" title="Permalink to this definition">¶</a></dt>
<dd><p>Get the offer of id id_offer
:param id_offer: int
:return: offer:{ “title” : str, “content” : str, “descriptor” : str, “id_user” : int }</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.get_offers">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">get_offers</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#get_offers"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.get_offers" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get all the offers in the database
:return: {“offer”:{ “title” : str, “content” : str, “descriptor” : str, “id_user” : int }}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.get_user">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">get_user</code><span class="sig-paren">(</span><em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#get_user"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.get_user" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get the user in the database
:param id_user: int
:return: user :{ “name” : str, “surname” : str, “role” : str, “email” : str, “password” : str, “is_admin” : bool }</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.login">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">login</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#login"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.login" title="Permalink to this definition">¶</a></dt>
<dd><p>METHOD : POST
HEADER PARAM  : None
BODY PARAMS : { “emailUser” : str, “password” : str}
RETURNS :</p>
<blockquote>
<div><dl class="docutils">
<dt>{</dt>
<dd><p class="first">“token”: str,
“user”: { “email”: str, “id”: int, “is_admin”: boolean, “name”: str,</p>
<blockquote class="last">
<div>“password”: str, “role”: str, “surname”: str }</div></blockquote>
</dd>
</dl>
<p>}</p>
</div></blockquote>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.login_admin_required">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">login_admin_required</code><span class="sig-paren">(</span><em>f</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#login_admin_required"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.login_admin_required" title="Permalink to this definition">¶</a></dt>
<dd><p>Decorator for allowing a logged in administrator to access to the route</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.login_required">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">login_required</code><span class="sig-paren">(</span><em>f</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#login_required"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.login_required" title="Permalink to this definition">¶</a></dt>
<dd><p>Decorator for allowing a logged in user to access to the route</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.logout">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">logout</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#logout"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.logout" title="Permalink to this definition">¶</a></dt>
<dd><p>METHOD : POST
HEADER PARAM  : {Authorization : Bearer token}
BODY PARAMS : None
RETURNS : { ‘result’: ‘success’ }</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.nb_prediction">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">nb_prediction</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#nb_prediction"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.nb_prediction" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get the number of prediction between two date
:METHOD : GET
:HEADER PARAM  : none
:BODY PARAMS : {“begin_date”: date,”end_date”:date}
:return: int</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.offers_by_user">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">offers_by_user</code><span class="sig-paren">(</span><em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#offers_by_user"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.offers_by_user" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to get all the offers who correspond to an user
:METHOD : GET
:HEADER PARAM  : id_user : int
:BODY PARAMS : none
:return: {“offer”:{ “title” : str, “content” : str, “descriptor” : str, “id_user” : int }}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.parse_token">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">parse_token</code><span class="sig-paren">(</span><em>req</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#parse_token"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.parse_token" title="Permalink to this definition">¶</a></dt>
<dd><p>Check if the token is correct</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.signup">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">signup</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#signup"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.signup" title="Permalink to this definition">¶</a></dt>
<dd><p>METHOD : POST
HEADER PARAM  : None
BODY PARAMS : { “name” : str, “surname” : str, “role” : str, “email” : str, “password” : str }
RETURNS :</p>
<blockquote>
<div><dl class="docutils">
<dt>{</dt>
<dd><p class="first">“token”: str,
“user”: { “email”: str, “id”: int, “is_admin”: boolean, “name”: str,</p>
<blockquote class="last">
<div>“password”: str, “role”: str, “surname”: str }</div></blockquote>
</dd>
</dl>
<p>}</p>
</div></blockquote>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.update_contact">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">update_contact</code><span class="sig-paren">(</span><em>id_contact</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#update_contact"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.update_contact" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to update a contact in the database
:METHOD : PUT
:HEADER PARAM  : id_contact : int
:BODY PARAMS :{“name”: str, “surname”: str, “email”: str,”phone”: str,”role”: str,”id_field”: int}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.update_field">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">update_field</code><span class="sig-paren">(</span><em>id_field</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#update_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.update_field" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to update a field in the database
:METHOD : PUT
:HEADER PARAM  : id_field : int
:BODY PARAMS :{“name”: str, “description”: str, “descriptor”: str,”website”: str}</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.update_offer">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">update_offer</code><span class="sig-paren">(</span><em>id_offer</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#update_offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.update_offer" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to update an offer
METHOD : PUT
HEADER PARAM  : id_offer :int
BODY PARAMS : { “title” : str, “content” : str, “descriptor” : str, “id_user” : int }</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.update_prediction_by_id_offer">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">update_prediction_by_id_offer</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#update_prediction_by_id_offer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.update_prediction_by_id_offer" title="Permalink to this definition">¶</a></dt>
<dd><p>Function to update the prediction corresponding to an offer
:METHOD : POST
:HEADER PARAM  : none
:BODY PARAMS : { “id_offer” : int, “id_field” : int }
:return: int</p>
</dd></dl>

<dl class="function">
<dt id="SmartRecruiting_BackEnd.api.routes.update_user">
<code class="descclassname">SmartRecruiting_BackEnd.api.routes.</code><code class="descname">update_user</code><span class="sig-paren">(</span><em>id_user</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/SmartRecruiting_BackEnd/api/routes.html#update_user"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SmartRecruiting_BackEnd.api.routes.update_user" title="Permalink to this definition">¶</a></dt>
<dd><p>METHOD : PUT
HEADER PARAM  : id_user: int
BODY PARAMS : { “name” : str, “surname” : str, “role” : str, “email” : str, “password” : str,”is_admin” : bool }</p>
</dd></dl>

</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
      
        <a href="managers.html" class="btn btn-neutral float-left" title="Managers" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Projet 21

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>